Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::linear_distribute_view< T > Struct Template Reference
Views
Inheritance diagram for ranges::views::linear_distribute_view< T >:

## Public Member Functions
constexpr | linear_distribute_view (T from, T to__, std::ptrdiff_t n) noexcept
constexpr std::size_t | size () const noexcept
Public Member Functions inherited from ranges::view_facade< linear_distribute_view< T >, finite >
constexpr auto | begin () -> detail::facade_iterator_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`. More...
constexpr auto | begin () const -> detail::facade_iterator_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
constexpr auto | end () -> detail::facade_sentinel_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`. More...
constexpr auto | end () const -> detail::facade_sentinel_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Protected Member Functions inherited from ranges::view_facade< linear_distribute_view< T >, finite >
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Attributes inherited from ranges::view_facade< linear_distribute_view< T >, finite >
friend | range_access